# we ship lbreakout2 under a different name because of trademark concerns
%define realname lbreakout2
%define prever beta-7
%define _prever beta7

Name:           lbrickbuster2
Version:        2.6
Release:        0.9.%{_prever}%{?dist}
Summary:        Brickbuster arcade game
License:        GPLv2+
Group:          Amusements/Games
URL:            http://lgames.sourceforge.net/
Source0:        http://downloads.sourceforge.net/lgames/%{realname}-%{version}%{prever}.tar.gz
# replacement art changing the logos from lbreakout2 to lbrickbuster2
Source1:        %{name}-art.tar.gz
Source2:        %{name}.desktop
Patch0:         lbrickbuster2-rebrand-images.patch  
Patch1:         lbrickbuster2-callback-fix.patch
Patch2:         lbrickbuster2-save-shared-hiscore.patch
Patch3:         lbrickbuster2-default-fullscreen.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  SDL_mixer-devel libpng-devel ImageMagick desktop-file-utils
BuildRequires:  gettext
Requires:       hicolor-icon-theme
# obsolete non rebranded freshrpms version
Obsoletes:      lbreakout2 <= %{version}-%{release}
Provides:       lbreakout2 = %{version}-%{release}

%description
The successor to LBrickBuster offers you a new challenge in more than 50 levels
with loads of new bonuses (goldshower, joker, explosive balls, bonus magnet
...), maluses (chaos, darkness, weak balls, malus magnet ...) and special
bricks (growing bricks, explosive bricks, regenerative bricks ...). If you
are still hungry for more after that you can create your own levelsets with
the integrated level editor.


%prep
%setup -q -a 1 -n %{realname}-%{version}%{prever}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
# fully automated rebrand to lbrickbuster
for i in `find -type f -not -name "*.png" -not -name "*.wav"`; do
  touch -r $i $i.stamp
  sed -i -e 's/Breakout/Brickbuster/g' -e 's/breakout/brickbuster/g' $i
  touch -r $i.stamp $i
  rm $i.stamp
done
# and rename some files to match
mv client/lbreakout.h client/lbrickbuster.h
mv client/levels/LBreakout1 client/levels/LBrickbuster1
mv client/levels/LBreakout2 client/levels/LBrickbuster2
# install replacement art and remove themes overrides
mv fr_top.png menuback.png client/gfx/AbsoluteB
mv client/gfx/AbsoluteB/fr_*.png client/gfx/AbsoluteB/menuback.png client/gfx
rm client/gfx/Oz/fr_*.png client/gfx/Moiree/fr_*.png
# rebranding done, other fixes / cleanups below
sed -i 's|/usr/doc/%{name}|%{_defaultdocdir}/%{name}|g' po/*.po client/help.c
iconv -f ISO_8859-1 -t utf-8 ChangeLog > ChangeLog.tmp
touch -r ChangeLog ChangeLog.tmp
mv ChangeLog.tmp ChangeLog


%build
%configure --localstatedir=%{_var}/games --with-docdir=%{_defaultdocdir}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
install -p -m 644 AUTHORS COPYING ChangeLog README TODO \
  $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
%find_lang %{name}

# Install desktop entry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
desktop-file-install \
    --vendor fedora \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    %{SOURCE2}
convert lbreakout48.gif \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
touch -r lbreakout48.gif \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc %{_defaultdocdir}/%{name}
%attr(2755, root, games) %{_bindir}/%{name}
%{_bindir}/%{name}server
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/fedora-%{name}.desktop
%verify(not md5 size mtime) %config(noreplace) %attr(664, games, games) %{_var}/games/%{name}.hscr


%changelog
* Thu Feb 28 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 2.6-0.9.beta7
- Rebrand to lbrickbuster2 to avoid potential trademark issues
- Cleanup specfile
- Submit for Fedora inclusion

* Tue Aug 28 2006 Matthias Saou <http://freshrpms.net/> 2.6-0.8.beta
- Update to 2.6beta-7.

* Mon May 29 2006 Matthias Saou <http://freshrpms.net/> 2.6-0.7.beta
- Update to 2.6beta-6.

* Fri Mar 17 2006 Matthias Saou <http://freshrpms.net/> 2.6-0.6.beta
- Release bump to drop the disttag number in FC5 build.

* Wed Nov 30 2005 Matthias Saou <http://freshrpms.net/> 2.6-0.5.beta
- Update to 2.6beta-5.

* Mon Nov 14 2005 Matthias Saou <http://freshrpms.net/> 2.6-0.4.beta
- Update to 2.6beta-4.
- No longer override datadir to datadir/games/ to get the locales installed.
- Include translations.

* Fri Oct 21 2005 Matthias Saou <http://freshrpms.net/> 2.6-0.3.beta
- Update to 2.6beta-3.

* Thu Oct 20 2005 Matthias Saou <http://freshrpms.net/> 2.6-0.2.beta
- Update to 2.6beta-2 (use ugly temp "-2" instead of complex macros).
- Missing common/gettext.h, doesn't build, reported upstream, so beta-3 out.

* Tue May 17 2005 Matthias Saou <http://freshrpms.net/> 2.6-0.1.beta
- Update to 2.6beta.

* Fri Jan 14 2005 Matthias Saou <http://freshrpms.net/> 2.5.2-1
- Update to 2.5.2.

* Sun Sep 26 2004 Matthias Saou <http://freshrpms.net/> 2.5.1-1
- Update to 2.5.1.

* Mon Aug  9 2004 Matthias Saou <http://freshrpms.net/> 2.5-1
- Update to 2.5 final.

* Mon Jun 21 2004 Matthias Saou <http://freshrpms.net/> 2.5-0.beta8.1
- Update to 2.5beta-8.

* Mon Jun 14 2004 Matthias Saou <http://freshrpms.net/> 2.5-0.beta6.1
- Update to 2.5beta-6.

* Tue May 18 2004 Matthias Saou <http://freshrpms.net/> 2.5-0.beta5.1
- Update to 2.5beta-5.
- Change the gif pixmap to png.

* Fri Nov  7 2003 Matthias Saou <http://freshrpms.net/> 2.5-0.beta3.1
- Update to 2.5beta-3.
- Added missing zlib and libpng dependencies.
- Rebuild for Fedora Core 1.

* Mon Mar 31 2003 Matthias Saou <http://freshrpms.net/>
- Rebuilt for Red Hat Linux 9.

* Sun Mar  9 2003 Matthias Saou <http://freshrpms.net/>
- Update to 2.4.1.

* Fri Jan  3 2003 Matthias Saou <http://freshrpms.net/>
- Update to 2.4.

* Sat Oct 26 2002 Matthias Saou <http://freshrpms.net/>
- Fixed the menu entry, thanks to Erwin J. Prinz.

* Sat Sep 28 2002 Matthias Saou <http://freshrpms.net/>
- Rebuilt for Red Hat Linux 8.0.
- New menu entry with icon.

* Mon Sep 23 2002 Matthias Saou <http://freshrpms.net/>
- Update to 2.3.5.

* Tue Sep 10 2002 Matthias Saou <http://freshrpms.net/>
- Update to 2.3.3.

* Tue Sep 10 2002 Matthias Saou <http://freshrpms.net/>
- Update to 2.3.3.

* Mon Aug 19 2002 Matthias Saou <http://freshrpms.net/>
- Update to 2.3.2.

* Wed Aug 14 2002 Matthias Saou <http://freshrpms.net/>
- Update to 2.3.1.

* Thu May  2 2002 Matthias Saou <http://freshrpms.net/>
- Rebuilt against Red Hat Linux 7.3.
- Added the %{?_smp_mflags} expansion.

* Sun Feb 24 2002 Matthias Saou <http://freshrpms.net/>
- Update to 2.2.2.

* Tue Feb  5 2002 Matthias Saou <http://freshrpms.net/>
- Update to 2.2.1.

* Mon Jan 28 2002 Matthias Saou <http://freshrpms.net/>
- Update to 2.2.

* Sun Jan  6 2002 Matthias Saou <http://freshrpms.net/>
- Update to 2.1.2.

* Tue Jan  1 2002 Matthias Saou <http://freshrpms.net/>
- Update to 2.1.1.

* Sat Dec  8 2001 Matthias Saou <http://freshrpms.net/>
- Update to 2.0.1.

* Thu Nov 29 2001 Matthias Saou <http://freshrpms.net/>
- Update to 2.0-pre2.

* Thu Nov 22 2001 Matthias Saou <http://freshrpms.net/>
- Update to 2.0beta2.

* Tue Apr 10 2001 Matthias Saou <http://freshrpms.net/>
- Update to 010315.

* Mon Nov 27 2000 Matthias Saou <http://freshrpms.net/>
- Initial RPM release for RedHat 7.0

